# CurveClaimFees

### Description

Action that claims 3Crv rewards from Fee Distributor

> **Notes**
>
> if \_claimFor != \_receiver the \_claimFor address needs to approve the user's wallet to pull 3Crv token

### Action ID

`0xaf0660d3`

### SDK Action

```ts
const curveClaimFeesAction = new dfs.actions.curve.CurveClaimFeesAction(
    claimFor,
    receiver
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param claimFor Address for which to claim fees
    /// @param receiver Address that will receive the tokens
    struct Params {
        address claimFor;
        address receiver;
    }
```

### Return Value

```solidity
return bytes32(claimed);
```

### Events and Logs

```solidity
emit ActionEvent("CurveClaimFees", logData);
logger.logActionDirectEvent("CurveClaimFees", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/curve/curveclaimfees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
